﻿@model Osoba

@{ 
    ViewBag.Title = "Ažuriranje osobe";
}

<h1>Uredi osobu</h1>
<p>
    <small>
        Stranica prikazuje formu za uređivanje osobe, sa već unesenim poznatim podacima. Sva su polja obavezna. Nakon potvrde uređivanja korisnika se vraća na stranicu osoba sa odgovarajućom porukom o uspjehu ili neuspjehu.
    </small>
</p>

<form asp-route-page="@ViewBag.Page"
      asp-route-sort="@ViewBag.Sort"
      asp-route-ascending="@ViewBag.Ascending"
      method="post">
    <div asp-validation-summary="All"></div>
    <input type="hidden" asp-for="Oib" />
    <div class="form-group">
        <label asp-for="Ime"></label>
        <div><span asp-validation-summary="Ime"></span></div>
        <input asp-for="Ime" class="form-control" />
    </div>
    <div class="form-group">
        <label asp-for="Prezime"></label>
        <div><span asp-validation-summary="Prezime"></span></div>
        <input asp-for="Prezime" class="form-control" />
    </div>
    <div class="form-group">
        <label asp-for="FkTvrtka"></label>
        <div><span asp-validation-summary="FkTvrtka"></span></div>
        <select class="form-control" asp-for="FkTvrtka" asp-items="ViewBag.Tvrtke">
            <option selected value="" disabled>Odaberite tvrtku</option>
        </select>
    </div>
    <div class="form-group">
        <label asp-for="FkFunkcijaId"></label>
        <div><span asp-validation-summary="FkFunkcijaId"></span></div>
        <select class="form-control" asp-for="FkFunkcijaId" asp-items="ViewBag.Funkcije">
            <option selected value="" disabled>Odaberite funkciju</option>
        </select>
    </div>
    <div class="form-group">
        <label asp-for="Adresa"></label>
        <div><span asp-validation-summary="Adresa"></span></div>
        <input asp-for="Adresa" class="form-control" />
    </div>
    <div class="form-group">
        <label asp-for="FkStrucnaSprema"></label>
        <div><span asp-validation-summary="FkStrucnaSprema"></span></div>
        <select class="form-control" asp-for="FkStrucnaSprema" asp-items="ViewBag.StrucneSpreme">
            <option selected value="" disabled>Odaberite stručnu spremu</option>
        </select>
    </div>
    <div class="form-group">
        <label asp-for="FkMjesto"></label>
        <div><span asp-validation-summary="FkMjesto"></span></div>
        <select class="form-control" asp-for="FkMjesto" asp-items="ViewBag.Mjesta">
            <option selected value="" disabled>Odaberite mjesto</option>
        </select>
    </div>
    <div class="text-center">
        <button class="btn btn-primary" type="submit">Spremi</button>
        <a asp-route-page="@ViewBag.Page"
           asp-route-sort="@ViewBag.Sort"
           asp-route-ascending="@ViewBag.Ascending"
           asp-action="Index" class="btn btn-secondary">Odustani</a>
    </div>
</form>